//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SSCMvc.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    public partial class MaAdmission
    {
        SSCWebDBEntities1 db = new SSCWebDBEntities1();

        public MaAdmission()
        {
            this.Tb_AdmissEmpHist = new HashSet<Tb_AdmissEmpHist>();
            this.Tb_AdmissHigQual = new HashSet<Tb_AdmissHigQual>();
            this.Tb_CourseHist = new HashSet<Tb_CourseHist>();
            this.Tb_FeeAdjustment = new HashSet<Tb_FeeAdjustment>();
            this.Tb_FeeReceipt = new HashSet<Tb_FeeReceipt>();
            this.Tb_FeeRefund = new HashSet<Tb_FeeRefund>();
            this.Tb_StudLeave = new HashSet<Tb_StudLeave>();
            this.Tb_StudentTransfer = new HashSet<Tb_StudentTransfer>();
        }

        public int Id { get; set; }

        public Nullable<int> EnquiryId { get; set; }
        public string SMSResponse { get; set; }

        [Required(ErrorMessage = "*")]
        [Display(Name = "First Name")]
        [StringLength(25)]
        public string FirstName { get; set; }

        [Required(ErrorMessage = "*")]
        [Display(Name = "Last Name")]
        [StringLength(25)]
        public string LastName { get; set; }

        [DataType(DataType.Date)]
        [Required(ErrorMessage = "*")]
        public Nullable<System.DateTime> DOB { get; set; }

        [Required(ErrorMessage = "*")]
        [Display(Name = "Father's/Husband's Name")]
        [StringLength(25)]
        public string FatherName { get; set; }


        public string Gender { get; set; }



        [Display(Name = "Roll No.")]
        public Nullable<int> RollNo { get; set; }



        [StringLength(250)]
        [Required(ErrorMessage = "*")]
        [DataType(DataType.MultilineText)]
        public string Address { get; set; }

        [StringLength(25)]
        [DataType(DataType.Text)]
        [RegularExpression(@"\d{10}$")]
        [Required(ErrorMessage = "*")]

        public string Mobile { get; set; }

        [StringLength(25)]
        [DataType(DataType.Text)]

        [Display(Name = "Alternate No.")]
        public string AlternateNo { get; set; }

        [RegularExpression(@"^([a-zA-Z0-9_\-\.]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([a-zA-Z0-9\-]+\.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(\]?)$", ErrorMessage = "Not a valid Email Address")]

        [Display(Name = "Facebook Id")]
        [StringLength(50)]
        public string FacebookId { get; set; }

        [RegularExpression(@"^([a-zA-Z0-9_\-\.]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([a-zA-Z0-9\-]+\.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(\]?)$", ErrorMessage = "Not a valid Email Address")]

        [DataType(DataType.EmailAddress)]
        [Display(Name = "Email Id")]
        [StringLength(50)]
        public string EmailId { get; set; }

        [StringLength(50)]
        [Required(ErrorMessage = "*")]
        public string Source { get; set; }

        [StringLength(30)]
        [Required(ErrorMessage = "*")]
        [Display(Name = "Walk-In Type")]
        public string WalkInType { get; set; }

        [DataType(DataType.Date)]
        [Required(ErrorMessage = "*")]
        public Nullable<System.DateTime> WalkInDate { get; set; }

        [StringLength(250)]
        [DataType(DataType.MultilineText)]
        public string Remarks { get; set; }

        [Display(Name = "Counselor Name")]
        //[Required(ErrorMessage = "*")]
        public Nullable<int> CounselorName { get; set; }

        [StringLength(50)]
        [Display(Name = "City Preference")]
        // [RegularExpression(@"^[a-zA-Z]+$", ErrorMessage = "Use letters only plz")]
        public string CityPreference { get; set; }

        [DataType(DataType.Date)]
        [Display(Name = "Exam Date")]
        public Nullable<System.DateTime> DateOfExam { get; set; }
        public Nullable<int> LoginCounselr { get; set; }
        private Nullable<bool> _Status;
        public bool Status
        {
            get
            {

                if (_Status == true)
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }

            set
            {
                _Status = value;
            }

        }

        public Nullable<System.DateTime> Cdate { get; set; }

        private Nullable<bool> _EnquiryIELAC;
        public bool EnquiryIELAC
        {
            get
            {
                if (_EnquiryIELAC == true)
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }
            set
            {
                _EnquiryIELAC = value;

            }

        }


        private Nullable<bool> _EnquiryIELGT;
        public bool EnquiryIELGT
        {
            get
            {
                if (_EnquiryIELGT == true)
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }
            set
            {
                _EnquiryIELGT = value;

            }

        }

        private Nullable<bool> _EnquirySpkEng;
        public bool EnquirySpkEng
        {
            get
            {
                if (_EnquirySpkEng == true)
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }
            set
            {
                _EnquirySpkEng = value;

            }

        }



        private Nullable<bool> _EnquiryStyVisa;
        public bool EnquiryStyVisa
        {
            get
            {
                if (_EnquiryStyVisa == true)
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }
            set
            {
                _EnquiryStyVisa = value;

            }

        }

        [Display(Name = "Country Interested")]
        public string CountryInterested { get; set; }

        [Display(Name = "Listening")]
        public Nullable<double> IELTSExmLearn { get; set; }


        [Display(Name = "Reading")]
        public Nullable<double> IELTSExmRead { get; set; }

        [Display(Name = "Writing")]
        public Nullable<double> IELTSExmWrit { get; set; }

        [Display(Name = "Speaking")]
        public Nullable<double> IELTSExmSpkn { get; set; }

        [Display(Name = "Overall")]
        public Nullable<double> IELTSExmOverall { get; set; }

        public Nullable<System.DateTime> LastUpdatedDate { get; set; }
        public Nullable<int> BranchId { get; set; }

        public Nullable<int> ReferenceId { get; set; }
        public string SPassword { get; set; }
        public Nullable<System.DateTime> ExpireOn { get; set; }

        private Nullable<bool> _IsLeft;
        [Display(Name = "Left")]
        public bool IsLeft
        {
            get
            {
                if (_IsLeft == true)
                {
                    return true;
                }
                return false;
            }
            set
            {
                _IsLeft = value;
            }
        }

        public string StudPhoto { get; set; }
        public string Other { get; set; }

        public Nullable<Boolean> IsMoveToVisa { get; set; }


        public Nullable<int> MockTestId { get; set; }
        public Nullable<int> IELTSTestId { get; set; }

        public Nullable<bool> _isprospect;

        private Nullable<bool> _EnquiryPTE;


        public bool EnquiryPTE
        {
            get
            {
                if (_EnquiryPTE == true && _EnquiryPTE != null)
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }
            set
            {
                _EnquiryPTE = value;

            }

        }

        public string CourseName()
        {
            
            //string course = db.MaCourses.Where(a=>a.)
            return "";
        }

        public Nullable<System.DateTime> LeftDate { get; set; }

        [Display(Name = "Area")]
        public Nullable<int> AreaId { get; set; }

        [Display(Name="Enquiry About")]
        [Required(ErrorMessage="*")]
        public string EnqAbt { get; set; }
        public Nullable<bool> _IsSync { get; set; }
        public bool IsSync
        {
            get
            {
                if (_IsSync == true)
                {
                    return true;
                }
                return false;
            }
            set
            {
                _IsSync = value;
            }
        }

        public Nullable<System.DateTime> Afdate { get; set; }
        public Nullable<System.DateTime> Anextdate { get; set; }
        public string Afremarks { get; set; }
        public string Afstatus { get; set; }
        public Nullable<int> Afollowupby { get; set; }
        public string SmsSent { get; set; }
        public string FBLike { get; set; }
        // [System.ComponentModel.DataAnnotations.Schema.NotMapped]
        [NotMapped]
        public string Rollfullname
        {
            get
            {
                return RollNo + "-" + FirstName +" " +LastName;
            }
        }

        public virtual MaBranch MaBranch { get; set; }
        public virtual MaEnquiry MaEnquiry { get; set; }
        public virtual MaFrmReference MaFrmReference { get; set; }
        public virtual User User { get; set; }
        public virtual ICollection<Tb_AdmissEmpHist> Tb_AdmissEmpHist { get; set; }
        public virtual ICollection<Tb_AdmissHigQual> Tb_AdmissHigQual { get; set; }
        public virtual ICollection<Tb_CourseHist> Tb_CourseHist { get; set; }
        public virtual ICollection<Tb_FeeReceipt> Tb_FeeReceipt { get; set; }
        public virtual ICollection<Tb_FeeAdjustment> Tb_FeeAdjustment { get; set; }
        public virtual ICollection<Tb_FeeRefund> Tb_FeeRefund { get; set; }
        public virtual ICollection<Tb_StudLeave> Tb_StudLeave { get; set; }
        public virtual ICollection<Tb_StudentTransfer> Tb_StudentTransfer { get; set; }

    }
}
